#pragma once

#ifdef WIN32
#include <windows.h>
#else
#include <sys/mman.h>
#include <unistd.h>
#endif


class CMemoryMng
{
public:
	CMemoryMng();
	~CMemoryMng();
	bool ReadMemmory(const void* lpBaseAddress, const void* lpBuffer, const int nSize);
	bool WriteMemmory(const void* lpBaseAddress, const void* lpBuffer, const int nSize);
	bool unprotect(const void* base_adr, int len);
private:
#ifdef WIN32
	HANDLE hProcess;
#endif
};

extern CMemoryMng g_MemMng;
